package com.mortals.xhx.module.ph.model.vo;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.mortals.framework.annotation.desensitization.IdCardDesensitize;
import com.mortals.framework.annotation.desensitization.MobileDesensitize;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.ph.model.PhQueueEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 排号汇总视图对象
*
* @author zxfei
* @date 2024-05-27
*/
@Data
public class PhQueueVo extends BaseEntityLong {

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 取号时间 */
    private String taketimeStart;

    /** 结束 取号时间 */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String taketimeEnd;

    @IdCardDesensitize
    private String peopleIdcard;

    @MobileDesensitize
    private String peoplePhone;



}